Doomsday Engine - Bug #2064

Bugs in HeXen Multiplayer
2015-05-20 12:07 - vermil

Status: New Start date: 2015-05-10
Priority: Urgent % Done: 0%
Assignee:

Category: Defect

Target version: Multiplayer

Description

This is parent issue for Hexen MP related bugs.

| wasn't sure | should make separate issues for each of these and | debate that some of them might actually be caused by similar
issues. Hence the simple subject title.

This is sort of a log of known issues in HeXen MP, as | know HeXen MP has deliberately been left untouched since the new MP code
(i.e that Doom and Heretic have received all the focus so far).

Non-missile based mobj spawning is broken; there are lot's of examples of this one that include:
o Afrit's visually disappear when they spawn, leaving behind a solid un-interactive version of themselves where they spawned
(appears to correct itself if one disconnects and re-connects). They only re-appear when they make an attack.
¢ Pot's spawn duplicates of themselves upon destruction that can be pushed around, but not re-destroyed (appears to correct
itself if one disconnects and re-connects). Both the item potentially inside the pot and the pot fragments appears to spawn
correctly though.

Flying bad guys (Afrits, Dark Bishops, Reivers) become visually stuck in their last attack sprite after making an attack, though they
seem to behave as normal.

Console cheats aren't disabled; | used this to test the below.

Artefacts:

All timed artefacts run out in a few seconds

Wings of Wrath run out after a few seconds

Panic mode causes a client to seg fault

Inventory always resets to first item after any inventory item is used

Attempting to use a puzzle item in the wrong place leads to a used successfully sound effect and hud effect, though the item
doesn't appear to be wrongly used

Choas Device, Boots of speed and Bracers do nothing when used

Dark Servant doesn't always disappear/appear correctly

Subtasks:
Bug # 2054: [MP] No weapon pickup notification in Hexen New
Bug # 2152: [Hexen] Afrits become stuck/invincible in multiplayer New

Related issues:
Related to Bug #1967: [Multiplayer] Heretic/HeXen liquid splashes/damaging fl... New 2015-02-11

History

#1 - 2015-05-20 12:08 - vermil

- Tags set to hexen, multiplayer

#2 - 2015-05-20 12:27 - vermil

I'm not sure this is going to be a very 'technical’ list :p

Dark Bishops visually only fire one missile, though the full stream appears to be launched with the rest of the missiles being invisible.
Centaurs entering their defence state often causes them to disappear/leave un-interactive duplicates like flying bad guys.

Poison clouds don't update the players health, though they still appear to do damage and kill the player.
#3 - 2015-05-20 12:30 - vermil

The game may be spawning all the mobjs for all classes in MP;

Given that there are occasions where multiple MP flagged mobjs are placed on top of each other (such as behind the stained glass windows on
Herisarch's Seminary), but set to appear for different classes, suggests that Vanilla HeXen may have only spawned the mobjs of the host players
class?

#4 - 2015-05-20 12:33 - vermil

To elaborate a little more on the cheat code issue; god mode and give appear to be accepted, though noclip has no effect despite the hud message
indicating success appearing.

#5 - 2015-05-20 12:38 - vermil

The vampire effect of the Cleric's Serpent Staff appears to not work on flying bad guys, only the duplicates that are spawned when they are initially
alerted (contrary to what | said above, all flying bad guys appear to spawn duplicates on activating, not just Afrits).

The Fighters mystic ambient doesn't seem to work. The Clerics at least appears to heal ones self.

#6 - 2015-05-20 13:08 - skyjake
- Subject changed from [HeXen Multiplayer] Bugs to Bugs in HeXen Multiplayer
- Category set to Defect

#7 - 2015-05-20 13:09 - skyjake
- Related to Bug #2054: [MP] No weapon pickup notification in Hexen added

#8 - 2015-05-20 13:09 - skyjake
- Related to Bug #1967: [Multiplayer] Heretic/HeXen liquid splashes/damaging floors doubled added

#9 - 2015-05-20 13:10 - skyjake

- Description updated

#10 - 2015-05-20 13:11 - skyjake
- Related to deleted (Bug #2054: [MP] No weapon pickup notification in Hexen)

#11 - 2015-05-20 13:11 - skyjake
- Related to deleted (Bug #1967: [Multiplayer] Heretic/HeXen liquid splashes/damaging floors doubled)

#12 - 2015-05-20 13:12 - skyjake
- Related to Bug #1967 [Multiplayer] Heretic/HeXen liquid splashes/damaging floors doubled added

#13 - 2016-03-27 08:24 - skyjake
- Target version set to 2.1 (Late 2018)

#14 - 2018-07-29 16:53 - skyjake
- Target version changed from 2.1 (Late 2018) to Multiplayer
